//
//  AppDelegate.swift
//  RWPS
//
//  Created by Mic Pringle on 04/12/2014.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

import UIKit
import CoreData

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {

  var window: UIWindow?
  lazy var coreDataStack = CoreDataStack()
  
  func application(application: UIApplication, didFinishLaunchingWithOptions launchOptions: [NSObject: AnyObject]?) -> Bool {
    application.statusBarStyle = UIStatusBarStyle.LightContent
    coreDataStack.populateDatabaseWithParcels()
    let navigationController = self.window!.rootViewController as UINavigationController
    let parcelsViewController = navigationController.topViewController as ParcelListViewController
    parcelsViewController.parcels = coreDataStack.allParcels()
    return true
  }
  
}

